Subject: RE: linux 2.6 hangs at __delay function on Viretx 4 board

From: swamydp <[email-masked]>
Date: Mon, 26 May 2008 21:11:50 -0700 (PDT)

Hi John

Please ignore my previous message. The kernel boots until initializing the
root files system and then hangs. Thats expected since I do not have root
file system set up yet. I dumped the __log_buf and found it. 

I don't understand why no message is printed by printk after "Now booting".
Does console init occur after root file system init ?

Thanks
swamy

swamydp wrote:
> 
> Hi John
> 
> Sorry for getting back late. 
> 
> I have been debugging further using the UART to send output directly to
> serial post. Now I see that just after entering start_kernel, a ITLB miss
> exception occurs and linux hangs at that point. 
> 
> Looks like the kernel is probably not running at all yet, may stuck in
> early initialization.
> 
>>> Yes
> 
> 1. Has the kernel ever ran on this board or is this development to get
> it running?
> 
>>> No. This is a new board and I am trying to build a simple EDK system
>>> with only
> PPC, UART, PIC as the devices.
>  
> 2. Not sure on the tools you are using to build it.  You mention the
> EDK, but you must not be using it's compiler as it's not configured in
> the EDK to build Linux. 
> 
>>> EDK 9.2 version, XMD for debug. Kernel 2.6 version is built in linux
>>> machine and zImage.elf is downloaded
> to the board.
> 
> Thanks for the UART suggestion, works well. Any suggestions as to what
> might be wrong in start_kernel function ? I will continue debugging
> meanwhile.
> 
> Thanks
> swamy
> 
> 
> 
> 

-- 
View this message in context: http://www.nabble.com/linux-2.6-hangs-at-__delay-function-on-Viretx-4-board-tp17222725p17482754.html
Sent from the linuxppc-embedded mailing list archive at Nabble.com.